# ProjectDependencySpec

@Incubating
interface ProjectDependencySpec : DependencySpec

A dependency onto a library published by a project.

## Functions

getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getLibraryName
Link copied to clipboard
@Nullable
abstract fun getLibraryName(): @Nullable String
Returns the name of the library this dependency refers to.
getProjectPath
Link copied to clipboard
@Nullable
abstract fun getProjectPath(): @Nullable String
Returns the project path of the project this dependency refers to.